> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.makeswift.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.makeswift.com/_mcp/server.

# List Typographies

GET https://api.makeswift.com/v4/typographies

This feature is in beta and may change. Requests return `403` until the feature flag is enabled for your site or workspace.

Lists site owned typographies by siteId.

Reference: https://docs.makeswift.com/developer/api-reference/rest/typographies/list-typographies

## Authentication

- `x-api-key` header (required) — API key authentication with an App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ).
- `x-api-key` header (required) — Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000).

## Request

### Query parameters

- `siteId` (string, required) — The site ID to list typographies from.
- `limit` (double, optional, default: 20) — The maximum number of typographies to return, between [1, 100].
- `startingAfter` (string, optional) — The pagination cursor. This is used to indicate what ID to list from.

## Response

### 200

- `object` (enum, required)
  - Allowed values: `list`
- `data` (list of ListTypographiesV4ResponseDtoDataItems, required) — The typographies on the site, ordered by position.
- `hasMore` (boolean, required) — Flag indicating whether there are more typographies to return.

## Errors

### 400 Bad Request Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `bad_request`
- `message` (string, required)

### 403 Forbidden Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `forbidden`
- `message` (string, required)

### 404 Not Found Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `not_found`
- `message` (string, required)

## Types

### ListTypographiesV4ResponseDtoDataItems

- `id` (string, required)
- `referenceId` (string, required) — The id to use wherever a text element references this typography (e.g. the "id" field of a Text element's "typography" prop in a page's element data) - NOT the plain "id" field above, which is used as the typography identifier in other REST typography API calls.
- `name` (string, required)
- `style` (list of ListTypographiesV4ResponseDtoDataItemsStyleItems, required)
- `siteId` (string, required)

### ListTypographiesV4ResponseDtoDataItemsStyleItems

- `deviceId` (string, required)
- `value` (ListTypographiesV4ResponseDtoDataItemsStyleItemsValue, required)

### ListTypographiesV4ResponseDtoDataItemsStyleItemsValue

- `color` (ListTypographiesV4ResponseDtoDataItemsStyleItemsValueColor, optional, nullable)
- `fontFamily` (string, optional, nullable)
- `fontSize` (ListTypographiesV4ResponseDtoDataItemsStyleItemsValueFontSize, optional, nullable)
- `fontWeight` (double, optional, nullable)
- `italic` (boolean, optional, nullable)
- `letterSpacing` (double, optional, nullable)
- `lineHeight` (double, optional, nullable)
- `strikethrough` (boolean, optional, nullable)
- `textAlign` (string, optional, nullable)
- `underline` (boolean, optional, nullable)
- `uppercase` (boolean, optional, nullable)

### ListTypographiesV4ResponseDtoDataItemsStyleItemsValueColor

- `swatchId` (string, required, nullable)
- `alpha` (double, optional, nullable)

### ListTypographiesV4ResponseDtoDataItemsStyleItemsValueFontSize

- boolean
- double
- string
- any

## Examples

**Response**

```json
{
  "object": "list",
  "data": [
    {
      "id": "2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91",
      "referenceId": "VHlwb2dyYXBoeToyZjNjOWExZS04YjQ3LTRkNmEtOWMxZS01YTdiM2QyZjhlOTE=",
      "name": "Heading 1",
      "style": [
        {
          "deviceId": "desktop",
          "value": {
            "color": {
              "swatchId": "8a1f3c2d-5b6e-4f7a-9c0d-1e2f3a4b5c6d",
              "alpha": 1
            },
            "fontFamily": "Inter",
            "fontSize": true,
            "fontWeight": 500,
            "lineHeight": 2
          }
        },
        {
          "deviceId": "mobile",
          "value": {
            "fontSize": true
          }
        }
      ],
      "siteId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "hasMore": false
}
```

**SDK Code**

```python
import requests

url = "https://api.makeswift.com/v4/typographies"

querystring = {"limit":"20","siteId":"123e4567-e89b-12d3-a456-426614174000","startingAfter":"2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.makeswift.com/v4/typographies?limit=20&siteId=123e4567-e89b-12d3-a456-426614174000&startingAfter=2f3c9a1e-8b47-4d6a-9c1e-5a7b3d2f8e91")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```